Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  get 'sessions/destroy', to: 'sessions#destroy', as: 'logout'
  resources :resources do
    get 'download', to: 'resources#download', as: 'download', on: :member #:collection
    post 'upload', to: 'resources#upload', as: 'upload', on: :member
  end
# get 'resources', to: 'resources#index', as: 'resources'
# post 'resources', to: 'resources#create'
# get 'resources/:id', to: 'resources#show, as: 'resource'
# delete 'resources/:id', to: 'resources#destroy
# put 'resources/:id', to: 'resources#update, as: 'resource'
# get 'resources/new', to: 'resources#new', as: 'new_resource'
# get 'resources/:id/edit, to: 'resources#edit', as: 'edit_resource'
  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create'
  get 'users/edit/:id', to: 'users#edit', as: 'edit_profile'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'
  get 'users/show/:id', to: 'users#show', as: 'profile'
  get 'users/forgotten'
  post 'users/send_forgotten'
  resources :items do
    get 'page/:page', on: :collection, to: 'items#index', as: 'page'
  end
  get 'say/hello', to: 'say#hello', as: 'hello'

  root to: 'say#hello'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end
